For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update task

Update a task

put

Update a task. Only the owner service or extension can update a task. Use this endpoint to update progress, ETA, and parameters.

Path parameters
idstringRequired

The task ID.

Body

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
Responses
200

OK

application/json

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
put/public/v1/system/tasks/{id}
200

OK

Last updated

Was this helpful?